summaryrefslogtreecommitdiff
path: root/bin/runmirrors
diff options
context:
space:
mode:
authorJoerg Jaspert <joerg@debian.org>2008-11-17 21:12:19 +0100
committerJoerg Jaspert <joerg@debian.org>2008-11-17 21:12:19 +0100
commit522c96df683705b80d8a60c8115874220b343172 (patch)
tree66833ba8fe5bbd1d26cfdbbc2bd54de8c5075b14 /bin/runmirrors
parent738e371884099841c166322b0263739c32890b50 (diff)
runmirrors
document the config add default for keyfile Signed-off-by: Joerg Jaspert <joerg@debian.org>
Diffstat (limited to 'bin/runmirrors')
-rwxr-xr-xbin/runmirrors10
1 files changed, 7 insertions, 3 deletions
diff --git a/bin/runmirrors b/bin/runmirrors
index 19bdcb5..676bff7 100755
--- a/bin/runmirrors
+++ b/bin/runmirrors
@@ -37,9 +37,6 @@ fi
# Read our config file
. "${BASEDIR}/etc/${NAME}.conf"
-# Make sure some variables are always in the environment
-export HOME LOGNAME USER PATH BASEDIR
-
# Source our common functions
. "${BASEDIR}/etc/common"
@@ -62,6 +59,13 @@ SSH_OPTS=${SSH_OPTS:-""}
PUSHARCHIVE=${PUSHARCHIVE:-"${CONF}"}
# How long to wait for mirrors to do stage1 if we have multi-stage syncing
PUSHDELAY=${PUSHDELAY:-240}
+# Which ssh key to use?
+KEYFILE=${KEYFILE:-".ssh/pushmirror"}
+
+if ! [ -f "${KEYFILE}" ]; then
+ error "SSH Key ${KEYFILE} does not exist" >> ${LOG}
+ exit 5
+fi
# Hooks
HOOK1=${HOOK1:-""}